.top-bar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: var(--c2);
    padding: 8px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    box-shadow: 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -1px rgba(0, 0, 0, 0.06);
    box-sizing: border-box;
    z-index: 995;
}

.bottom-bar {
    height: 70px;
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: var(--bottom-bar-background); /* bg-gray-800 */
    padding: 8px; /* p-4 */
    display: flex;
    flex-direction: row;
    justify-content: space-around; /* justify-around */
    align-items: center; /* items-center */
    box-shadow: 0 -4px 6px -1px rgba(0, 0, 0, 0.1), 0 -2px 4px -1px rgba(0, 0, 0, 0.06); /* shadow-lg */
    box-sizing: border-box; /* Include padding in width calculation */
    z-index: 995; /* Ensure it stays on top */
}

.bottom-content {
    width: calc(100% - 3.5rem);
    display: flex;
    justify-content: space-around; /* justify-around */
    align-items: center; /* items-center */
}

.bottom-bar.with-half-circle::after {
    content: '';
    position: absolute;
    bottom: 100%;
    left: 50%;
    transform: translateX(-50%);
    width: 120px;
    height: 10px;
    background-color: var(--c2);
    z-index: 996;
}

.bottom-bar-padding {
    /* Use this class to pad bottom of content where bottom-bar is used*/
    padding-bottom: 72px; /* Adjust this value */
}

.bottom-bar-form {
    display: flex; /* Make the form a flex container */
    align-items: center; /* Vertically align items in the center */
    width: 100%; /* Ensure the form takes full width of its parent */
    gap: 10px; /* Space between form elements */
}

.bottom-bar-form button {
    width: 48px;
    padding: 10px 10px;
}

#nutritionConsumedSubmit {
    width: auto;
}

.half-circle-wrapper {
    position: fixed;
    bottom: 100px;
    left: 50%;
    transform: translateX(-50%) translateY(50%);
    z-index: 997;
    filter: drop-shadow(0 -4px 6px rgba(0, 0, 0, 0.1))
            drop-shadow(0 -2px 4px rgba(0, 0, 0, 0.06));
}

.half-circle {
    position: relative; /* no longer fixed, parent handles positioning */
    bottom: unset;
    left: unset;
    transform: none;
    width: 120px;
    height: 60px;
    background-color: var(--bottom-bar-background);
    border-radius: 60px 60px 0 0;
    z-index: 997;
    display: flex;
    justify-content: center;
    align-items: flex-start;
}

/* Round button */
.round-button {
    position: fixed;
    bottom: 0px;
    width: 48px;
    height: 48px;
    border-radius: 50%;
    border: none;
    cursor: pointer;
    z-index: 998; /* Above the half-circle */
    display: flex;
    justify-content: center;
    align-items: center;
}

@media (max-width: 768px) {
    .bottom-bar-form {
        flex-wrap: wrap; /* Allow items to wrap to next line on small screens */
        justify-content: center; /* Center items when wrapped */
    }

}